Name: fuse-smb
Version: 0.8.7
Release: 1%{?dist}
Summary: FUSE-Filesystem to fast and easy access remote resources via SMB

Group: System Environment/Base
License: GPL
URL: http://www.ricardis.tudelft.nl/~vincent/fusesmb/
Packager: Marcin Zajaczkowski <mszpak@wp.pl>
Source0: http://www.ricardis.tudelft.nl/~vincent/fusesmb/download/fusesmb-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: fuse >= 2.3
Requires: fuse-libs >= 2.3
Requires: samba-common >= 3.0
BuildRequires: fuse-devel >= 2.3
BuildRequires: gcc


%description 
With SMB for Fuse you can seamlessly browse your network neighbourhood as were it on your own filesystem.
It's basically smbmount with a twist. Instead of mounting one Samba share at a time, you mount all workgroups, hosts and shares at once. Only when you're accessing a share a connection is made to the remote computer. 

%prep 
%setup -q -n fusesmb-%{version}

%build
%configure
make %{?_smp_mflags}

%install 
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}

%clean 
rm -fr %{buildroot} %{_builddir}/%{buildsubdir}

%files 
%defattr(0644,root,root,0755) 
%attr(0755,root,root) %{_bindir}/fusesmb
%attr(0755,root,root) %{_bindir}/fusesmb.cache
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO fusesmb.conf.ex
%{_mandir}/man*/fusesmb.*.gz


%changelog 
* Tue Jun 10 2008 Troy Dawson <dawson@fnal.gov> - 0.8.7-1
 - Updated to version 0.8.7

* Thu May 26 2006 Marcin Zajaczkowski <mszpak@wp.pl>
 - initial release (should be compatible with fuse package from Fedora Extras)


